<template>
  <v-card class="step">
    <v-container fluid>
      <v-row v-if="speed !== 0">
        <v-col cols="1" class="font-weight-bold">ECG Speed:</v-col>
        <v-col cols="1" class="text-h"> {{ speed }} mm/s</v-col>
      </v-row>
      <v-divider class="my-4" v-if="rate !== 0"></v-divider>
      <v-row v-if="rate !== 0">
        <v-col cols="1" class="font-weight-bold">Heart Rate:</v-col>
        <v-col cols="1" class="text-h"> {{ rate }} bpm</v-col>
        <v-col cols="4" class="font-weight-bold" v-if="(rate < 60)"> Possible Bradycardia</v-col>
        <v-col cols="4" class="font-weight-bold" v-if="(rate >= 60) && (rate <= 100)"> Heart rate within normal limit</v-col>
        <v-col cols="4" class="font-weight-bold" v-if="(rate > 150) && (rate < 250)"> Possible Paroxysmal Tachycardia</v-col>
        <v-col cols="4" class="font-weight-bold" v-if="(rate > 250) && (rate < 350)"> Possible Flutter</v-col>
        <v-col cols="4" class="font-weight-bold" v-if="(rate > 350) && (rate < 450)"> Possible Fibrillation</v-col>
      </v-row>
      <v-divider class="my-4" v-if="getRhythmConclusions().length !== 0"></v-divider>
      <v-row v-if="getRhythmConclusions().length !== 0">
        <v-col class="font-weight-bold">Rhythm</v-col>
      </v-row>
      <v-row v-for="item in getRhythmConclusions()" :key="item.diagnosis">
        <v-col>{{ item.motivation + ': ' }} <span class="font-weight-bold">{{ item.diagnosis }}</span></v-col>
      </v-row>
      <v-divider class="my-4" v-if="axisLeadI!== null && axisLeadaVf!==null"></v-divider>
      <v-row v-if="axisLeadI!== null && axisLeadaVf!==null">
        <v-col cols="1" class="font-weight-bold">Axis:</v-col>
        <v-col class="text-h"><span class="font-weight-bold">{{ axisPosition }}</span> because there is a <span
          class="font-weight-bold">{{ axisLeadI }} in Lead I</span> and a <span
          class="font-weight-bold">{{ axisLeadaVf }} in Lead aVf</span></v-col>
      </v-row>
      <v-divider class="my-4" v-if="getHypertrophyConclusions().length !== 0"></v-divider>
      <v-row v-if="getHypertrophyConclusions().length !== 0">
        <v-col class="font-weight-bold">Hypertrophy</v-col>
      </v-row>
      <v-row v-for="item in getHypertrophyConclusions()" :key="item.diagnosis">
        <v-col>{{ item.motivation + ': ' }} <span class="font-weight-bold">{{ item.diagnosis }}</span></v-col>
      </v-row>
      <v-divider class="my-4" v-if="getInfarctionConclusions().length !== 0"></v-divider>
      <v-row v-if="getInfarctionConclusions().length !== 0">
        <v-col class="font-weight-bold">Infarction</v-col>
      </v-row>
      <v-row v-for="item in getInfarctionConclusions()" :key="item.diagnosis">
        <v-col>{{ item.motivation + ': ' }} <span class="font-weight-bold">{{ item.diagnosis }}</span></v-col>
      </v-row>
      <v-divider class="my-4"></v-divider>
    </v-container>
  </v-card>
</template>

<script>
import { mapGetters, mapState } from 'vuex';

export default {
  name: 'Conclusion',
  computed: {
    ...mapState(['speed', 'rate', 'axisPosition', 'axisLeadI', 'axisLeadaVf']),
    ...mapGetters([
      'stepConclusions',
    ]),
  },
  methods: {
    getRhythmConclusions() {
      return [...this.stepConclusions('rhythmI'),
        ...this.stepConclusions('rhythmII'),
        ...this.stepConclusions('rhythmIII'),
        ...this.stepConclusions('rhythmIV'),
        ...this.stepConclusions('rhythmV'),
      ];
    },
    getHypertrophyConclusions() {
      return [...this.stepConclusions('hypertrophyI'), ...this.stepConclusions('hypertrophyII')];
    },
    getInfarctionConclusions() {
      return this.stepConclusions('infarction');
    },
  },
};
</script>

<style scoped>

</style>
